﻿

[System.Serializable]
public enum CustomActionName
{
    NONE,

    AGGRESSIVE,
    DEFENSE,
    MOVE,

    TOWN_HALL,
    BARRACKS,
    FARM,
    LUMBER_MILL,
    BLACKSMITH,
    MAGE_TOWER,
    DEFENSE_TOWER,
    KEEP,
    CASTLE,

    HERO,
    FOOTMAN,
    RANGER,
    KNIGHT,
    PRIEST,
    WIZARD,
    CATAPULT,
    WORKER,

    UPGRADES_MELEE,
    UPGRADES_RANGED,
    UPGRADES_CLERIC,
    UPGRADES_MAGICIEN,
    UPGRADES_WORKER,

    FIRE_PROJECTILE,

    SWITCH_TO_BOW,
    SWITCH_TO_SWORD,

    HEAL_UNIT,

    HIDE_BUILDING_PANEL,
    SHOW_BUILDING_PANEL,

    LEADERSHIP_OFFENSIVE,
    LEADERSHIP_DEFENSIVE,

    SLOW_SPEED


}